#
# Conditional build:
%bcond_without	python2		# Python 2 package
%bcond_without	python3		# Python 3 package

%define		module	html2text
Summary:	A HTML to markdown-structured text converter
Name:		python-%{module}
Version:	2016.4.2
Release:	2
License:	GPL v3
Group:		Libraries/Python
Source0:	https://pypi.python.org/packages/source/h/html2text/%{module}-%{version}.tar.gz
# Source0-md5:	a1d59f137d0b15105d79b08f2325477c
URL:		https://github.com/Alir3z4/html2text/
%if %{with python2}
BuildRequires:	python-modules
%endif
%if %{with python3}
BuildRequires:	python3-Cython
BuildRequires:	python3-modules
BuildRequires:	python3-setuptools
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A HTML to markdown-structured text converter.

%package -n python3-%{module}
Summary:	A HTML to markdown-structured text converter
Group:		Libraries/Python

%description -n python3-%{module}
A HTML to markdown-structured text converter.

%prep
%setup -q -n %{module}-%{version}

%build
%if %{with python2}
%py_build
%endif
%if %{with python3}
%py3_build
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%dir %{py_sitescriptdir}/html2text
%{py_sitescriptdir}/html2text/*.py[co]
%{py_sitescriptdir}/html2text-*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%dir %{py3_sitescriptdir}/html2text
%{py3_sitescriptdir}/html2text/*.py
%{py3_sitescriptdir}/html2text/__pycache__
%{py3_sitescriptdir}/html2text-*.egg-info
%endif
%changelog
* Wed Dec 28 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-html2text.git;a=log;h=master

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> c48803b
- python 3.6
- release 2 (by relup.sh)

* Sat Apr 02 2016 Jan Palus <atler@pld-linux.org> 403e919
- up to 2016.4.2

* Sat Jan 09 2016 Jan Palus <atler@pld-linux.org> fbc335a
- up to 2016.1.8

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> ab29cac
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 07fd69a
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 19e0b47
- automatic change: use py_build/py_install macros

* Sun Jan 11 2015 Jan Palus <atler@pld-linux.org> 64eff8a
- up to 2014.12.29

* Wed Dec 10 2014 Jan Palus <atler@pld-linux.org> a5a75d2
- noarch

* Sun Dec 07 2014 Jan Palus <atler@pld-linux.org> eef5230
- new

